From c40fb5a65d22442c9d5a925d0dca77dbea711c45 Mon Sep 17 00:00:00 2001
From: Eli Gottlieb <eligottlieb@gmail.com>
Date: Fri, 21 May 2010 14:50:04 -0400
Subject: [PATCH] Added stub files, working on sample program SDLeyes.

---
 src/video/SDL_shape.c       | 23 +++++++++++++++++++++++
 src/video/SDL_shape.h       | 21 +++++++++++++++++++++
 src/video/cocoa/SDL_shape.c | 23 +++++++++++++++++++++++
 src/video/win32/SDL_shape.c | 23 +++++++++++++++++++++++
 src/video/x11/SDL_shape.c   | 23 +++++++++++++++++++++++
 5 files changed, 113 insertions(+)
 create mode 100644 src/video/SDL_shape.c
 create mode 100644 src/video/SDL_shape.h
 create mode 100644 src/video/cocoa/SDL_shape.c
 create mode 100644 src/video/win32/SDL_shape.c
 create mode 100644 src/video/x11/SDL_shape.c

diff --git a/src/video/SDL_shape.c b/src/video/SDL_shape.c
new file mode 100644
index 000000000..b4ef073d6
--- /dev/null
+++ b/src/video/SDL_shape.c
@@ -0,0 +1,23 @@
+/*
+    SDL - Simple DirectMedia Layer
+    Copyright (C) 2010 Eli Gottlieb
+
+    This library is free software; you can redistribute it and/or
+    modify it under the terms of the GNU Lesser General Public
+    License as published by the Free Software Foundation; either
+    version 2.1 of the License, or (at your option) any later version.
+
+    This library is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+    Lesser General Public License for more details.
+
+    You should have received a copy of the GNU Lesser General Public
+    License along with this library; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+    Eli Gottlieb
+    eligottlieb@gmail.com
+*/
+
+#include "SDL_shape.h"
diff --git a/src/video/SDL_shape.h b/src/video/SDL_shape.h
new file mode 100644
index 000000000..8181ce217
--- /dev/null
+++ b/src/video/SDL_shape.h
@@ -0,0 +1,21 @@
+/*
+    SDL - Simple DirectMedia Layer
+    Copyright (C) 2010 Eli Gottlieb
+
+    This library is free software; you can redistribute it and/or
+    modify it under the terms of the GNU Lesser General Public
+    License as published by the Free Software Foundation; either
+    version 2.1 of the License, or (at your option) any later version.
+
+    This library is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+    Lesser General Public License for more details.
+
+    You should have received a copy of the GNU Lesser General Public
+    License along with this library; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+    Eli Gottlieb
+    eligottlieb@gmail.com
+*/
diff --git a/src/video/cocoa/SDL_shape.c b/src/video/cocoa/SDL_shape.c
new file mode 100644
index 000000000..b4ef073d6
--- /dev/null
+++ b/src/video/cocoa/SDL_shape.c
@@ -0,0 +1,23 @@
+/*
+    SDL - Simple DirectMedia Layer
+    Copyright (C) 2010 Eli Gottlieb
+
+    This library is free software; you can redistribute it and/or
+    modify it under the terms of the GNU Lesser General Public
+    License as published by the Free Software Foundation; either
+    version 2.1 of the License, or (at your option) any later version.
+
+    This library is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+    Lesser General Public License for more details.
+
+    You should have received a copy of the GNU Lesser General Public
+    License along with this library; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+    Eli Gottlieb
+    eligottlieb@gmail.com
+*/
+
+#include "SDL_shape.h"
diff --git a/src/video/win32/SDL_shape.c b/src/video/win32/SDL_shape.c
new file mode 100644
index 000000000..b4ef073d6
--- /dev/null
+++ b/src/video/win32/SDL_shape.c
@@ -0,0 +1,23 @@
+/*
+    SDL - Simple DirectMedia Layer
+    Copyright (C) 2010 Eli Gottlieb
+
+    This library is free software; you can redistribute it and/or
+    modify it under the terms of the GNU Lesser General Public
+    License as published by the Free Software Foundation; either
+    version 2.1 of the License, or (at your option) any later version.
+
+    This library is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+    Lesser General Public License for more details.
+
+    You should have received a copy of the GNU Lesser General Public
+    License along with this library; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+    Eli Gottlieb
+    eligottlieb@gmail.com
+*/
+
+#include "SDL_shape.h"
diff --git a/src/video/x11/SDL_shape.c b/src/video/x11/SDL_shape.c
new file mode 100644
index 000000000..b4ef073d6
--- /dev/null
+++ b/src/video/x11/SDL_shape.c
@@ -0,0 +1,23 @@
+/*
+    SDL - Simple DirectMedia Layer
+    Copyright (C) 2010 Eli Gottlieb
+
+    This library is free software; you can redistribute it and/or
+    modify it under the terms of the GNU Lesser General Public
+    License as published by the Free Software Foundation; either
+    version 2.1 of the License, or (at your option) any later version.
+
+    This library is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+    Lesser General Public License for more details.
+
+    You should have received a copy of the GNU Lesser General Public
+    License along with this library; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+    Eli Gottlieb
+    eligottlieb@gmail.com
+*/
+
+#include "SDL_shape.h"
